/*
 *
 *                         DES SOFTWARE PACKAGE
 *                             Version 2.2
 *
 *                                        _
 * Copyright (c) 1990,1991,1992,1993 Stig Ostholm.
 * All Rights Reserved
 *
 *
 * The author takes no responsibility of actions caused by the use of this
 * software package and does not guarantee the correctness of the functions.
 *
 * This software package may be freely distributed for non-commercial purpose
 * as long as the copyright notice is kept. Any changes made should be
 * accompanied by a comment indicating who made the change, when it was made
 * and what was changed.
 *
 * This software package, or any parts of it, may not be used or in any way
 * re-distributed for commercial purpose without the authors permission.
 * The author keeps the right to decide between of what is commercial and
 * what is non-commercial purpose.
 *
 * Restrictions due to national laws governing the use, import or export of
 * cryptographic software is the responsibility of the software user/importer/
 * exporter to follow.
 *
 *
 *                                              _
 *                                         Stig Ostholm
 *                                         Chalmers University of Technology
 *                                         Department of Computer Engineering
 *                                         S-412 96 Gothenburg
 *                                         Sweden
 *                                         ----------------------------------
 *                                         Email: ostholm@ce.chalmers.se
 *                                         Phone: +46 31 772 1703
 *                                         Fax:   +46 31 772 3663
 */

/*
 * Key generation left shift table as described in FIPS 46 1977 January 15.
 */

#ifdef __SDTC__
const
#endif
	unsigned char	ls[DES_ITERATIONS] = {
				1, /* Iteration  1 */
				1, /* Iteration  2 */
				2, /* Iteration  3 */
				2, /* Iteration  4 */
				2, /* Iteration  5 */
				2, /* Iteration  6 */
				2, /* Iteration  7 */
				2, /* Iteration  8 */
				1, /* Iteration  9 */
				2, /* Iteration 10 */
				2, /* Iteration 11 */
				2, /* Iteration 12 */
				2, /* Iteration 13 */
				2, /* Iteration 14 */
				2, /* Iteration 15 */
				1  /* Iteration 16 */
			};
